Skip to content

Update a Story

PUT
https://mapi.storyblok.com/v1/spaces/:space_id/stories/:story_id

Use this endpoint for migrations, updates (new component structure, and more), or bulk actions.

To publish an unpublished story, set the publish parameter to true.

To define alternate versions of a story, set the group_id to the same group_id of the story (or stories) that should be the alternate(s).

  • :space_id required number

    Numeric ID of a space

  • :story_id required number

    Numeric ID of a story

  • story The Story Object
  • group_id string

    Group ID (UUID string), shared between stories defined as alternates

  • force_update string

    Set to 1 to force an update of a locked story.
    A story is locked when another user edits it. Forcing an update via the API causes a content conflict. force_update has no effect if the story is locked as part of a workflow stage.

  • release_id number

    Numeric ID of a release

  • publish boolean

    To publish the story, set the parameter to true. To save changes without publishing, set it to false.

  • lang string

    Language code to publish the story individually (must be enabled in SettingsInternationalization)

curl "https://mapi.storyblok.com/v1/spaces/288868932106293/stories/2141" \
-X PUT \
-H "Authorization: YOUR_OAUTH_TOKEN" \
-H "Content-Type: application/json" \
-d "{\"force_update\":1,\"publish\":true,\"story\":{\"content\":{\"body\":[],\"component\":\"page\"},\"id\":2141,\"name\":\"Updated Story Name\",\"slug\":\"story-name\"}}"

Request for updating assets in a specific story.

Example Asset Object
{
"component": "image",
"image_file": {
"alt": "Image alt text",
"copyright": null,
"fieldtype": "asset",
"filename": "<https://a.storyblok.com/f/656/9c40e5/image_file_name.jpg>",
"focus": null,
"id": 123456789,
"name": "",
"title": null
}
}

Was this page helpful?

What went wrong?

This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window) . Terms of Service (opens in a new window) apply.